Bug 646173 - [abrt] pylint-0.21.1-2.fc14: rebuilder.py:94:visit:AttributeError: 'TreeRebuilder' object has no attribute 'visit_dictcomp'
Summary: [abrt] pylint-0.21.1-2.fc14: rebuilder.py:94:visit:AttributeError: 'TreeRebui...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pylint
Version: 14
Hardware: x86_64
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Brian Lane
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:5c04c477
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-10-24 19:20 UTC by Jon Dufresne
Modified: 2010-12-13 20:14 UTC (History)
2 users (show)

Fixed In Version: pylint-0.22.0-2.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-13 20:14:03 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (3.53 KB, text/plain)
2010-10-24 19:20 UTC, Jon Dufresne
no flags Details

Description Jon Dufresne 2010-10-24 19:20:17 UTC
abrt version: 1.1.13
architecture: x86_64
Attached file: backtrace
cmdline: /usr/bin/python /usr/bin/pylint staticsauce/
component: pylint
executable: /usr/bin/pylint
kernel: 2.6.35.6-43.fc14.x86_64
package: pylint-0.21.1-2.fc14
reason: rebuilder.py:94:visit:AttributeError: 'TreeRebuilder' object has no attribute 'visit_dictcomp'
release: Fedora release 14 (Laughlin)
time: 1287947965
uid: 500

How to reproduce
-----
1. Ran pylint on my module
2.
3.

Comment 1 Jon Dufresne 2010-10-24 19:20:20 UTC
Created attachment 455359 [details]
File: backtrace

Comment 2 Brian Lane 2010-10-25 16:20:59 UTC
Upstream ticket - http://www.logilab.org/ticket/38896

Comment 3 Fedora Update System 2010-11-29 19:54:20 UTC
pylint-0.22.0-1.fc14,python-logilab-astng-0.21.0-1.fc14,python-logilab-common-0.53.0-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/pylint-0.22.0-1.fc14,python-logilab-astng-0.21.0-1.fc14,python-logilab-common-0.53.0-1.fc14

Comment 4 Fedora Update System 2010-11-30 22:28:27 UTC
pylint-0.22.0-1.fc14, python-logilab-astng-0.21.0-1.fc14, python-logilab-common-0.53.0-1.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update pylint python-logilab-astng python-logilab-common'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/pylint-0.22.0-1.fc14,python-logilab-astng-0.21.0-1.fc14,python-logilab-common-0.53.0-1.fc14

Comment 5 Jon Dufresne 2010-12-01 02:55:57 UTC
The updated packages run successfully.

Comment 6 Fedora Update System 2010-12-07 20:18:42 UTC
pylint-0.22.0-2.fc14, python-logilab-astng-0.21.0-2.fc14, python-logilab-common-0.53.0-1.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update pylint python-logilab-astng python-logilab-common'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/pylint-0.22.0-2.fc14,python-logilab-astng-0.21.0-2.fc14,python-logilab-common-0.53.0-1.fc14

Comment 7 Fedora Update System 2010-12-13 20:13:48 UTC
pylint-0.22.0-2.fc14, python-logilab-astng-0.21.0-2.fc14, python-logilab-common-0.53.0-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.